Index: tests/regression/Fragmentation/StoreSaturatedFragment/post/BondFragment0.xyz
===================================================================
--- tests/regression/Fragmentation/StoreSaturatedFragment/post/BondFragment0.xyz	(revision 5589e7e18abfdfbb10e92c1f7c654f21e9d14cbd)
+++ tests/regression/Fragmentation/StoreSaturatedFragment/post/BondFragment0.xyz	(revision 5589e7e18abfdfbb10e92c1f7c654f21e9d14cbd)
@@ -0,0 +1,69 @@
+67
+	Created by molecuilder on Mon Mar 18 22:30:52 2013, time step 0
+C	19.743	10.424	5
+C	15.489	10.424	5
+C	18.325	10.424	5
+C	17.616	11.652	5
+C	20.452	11.652	5
+C	19.743	12.88	5
+C	11.235	10.424	5
+C	14.071	10.424	5
+C	13.362	11.652	5
+C	16.198	11.652	5
+C	15.489	12.88	5
+C	18.325	12.88	5
+C	17.616	14.108	5
+C	20.452	14.108	5
+C	19.743	15.336	5
+C	11.944	11.652	5
+C	11.235	12.88	5
+C	14.071	12.88	5
+C	13.362	14.108	5
+C	16.198	14.108	5
+C	15.489	15.336	5
+C	18.325	15.336	5
+C	17.616	16.564	5
+C	20.452	16.564	5
+C	19.743	17.792	5
+C	11.944	14.108	5
+C	11.235	15.336	5
+C	14.071	15.336	5
+C	13.362	16.564	5
+C	16.198	16.564	5
+C	15.489	17.792	5
+C	18.325	17.792	5
+C	17.616	19.02	5
+C	20.452	19.02	5
+C	19.743	20.248	5
+C	11.944	16.564	5
+C	11.235	17.792	5
+C	14.071	17.792	5
+C	13.362	19.02	5
+C	16.198	19.02	5
+C	15.489	20.248	5
+C	18.325	20.248	5
+C	11.944	19.02	5
+C	11.235	20.248	5
+C	14.071	20.248	5
+H	20.288	9.48004	5
+H	16.034	9.48004	5
+H	17.78	9.48004	5
+H	21.542	11.652	5
+H	11.78	9.48004	5
+H	10.697	10.424	4.06816
+H	10.697	10.424	5.93184
+H	13.526	9.48004	5
+H	21.542	14.108	5
+H	10.145	12.88	5
+H	21.542	16.564	5
+H	10.145	15.336	5
+H	21.542	19.02	5
+H	20.288	21.192	5
+H	10.145	17.792	5
+H	16.034	21.192	5
+H	18.056	20.7139	4.06816
+H	18.056	20.7139	5.93184
+H	10.145	20.248	5
+H	11.504	20.7139	5.93184
+H	11.504	20.7139	4.06816
+H	13.526	21.192	5
Index: tests/regression/Fragmentation/StoreSaturatedFragment/pre/C6-0.Sheet.Aligned.xyz
===================================================================
--- tests/regression/Fragmentation/StoreSaturatedFragment/pre/C6-0.Sheet.Aligned.xyz	(revision 5589e7e18abfdfbb10e92c1f7c654f21e9d14cbd)
+++ tests/regression/Fragmentation/StoreSaturatedFragment/pre/C6-0.Sheet.Aligned.xyz	(revision 5589e7e18abfdfbb10e92c1f7c654f21e9d14cbd)
@@ -0,0 +1,386 @@
+384
+	Created by molecuilder on Tue Feb 26 23:35:21 2013, time step 0
+C	32.504	0.600	5.000
+C	28.250	0.600	5.000
+C	31.086	0.600	5.000
+C	30.377	1.828	5.000
+C	33.213	1.828	5.000
+C	32.504	3.056	5.000
+C	23.997	0.600	5.000
+C	26.833	0.600	5.000
+C	26.124	1.828	5.000
+C	28.959	1.828	5.000
+C	28.250	3.056	5.000
+C	31.086	3.056	5.000
+C	30.377	4.284	5.000
+C	33.213	4.284	5.000
+C	32.504	5.512	5.000
+C	19.743	0.600	5.000
+C	22.579	0.600	5.000
+C	21.870	1.828	5.000
+C	24.706	1.828	5.000
+C	23.997	3.056	5.000
+C	26.833	3.056	5.000
+C	26.124	4.284	5.000
+C	28.959	4.284	5.000
+C	28.250	5.512	5.000
+C	31.086	5.512	5.000
+C	30.377	6.740	5.000
+C	33.213	6.740	5.000
+C	32.504	7.968	5.000
+C	15.489	0.600	5.000
+C	18.325	0.600	5.000
+C	17.616	1.828	5.000
+C	20.452	1.828	5.000
+C	19.743	3.056	5.000
+C	22.579	3.056	5.000
+C	21.870	4.284	5.000
+C	24.706	4.284	5.000
+C	23.997	5.512	5.000
+C	26.833	5.512	5.000
+C	26.124	6.740	5.000
+C	28.959	6.740	5.000
+C	28.250	7.968	5.000
+C	31.086	7.968	5.000
+C	30.377	9.196	5.000
+C	33.213	9.196	5.000
+C	32.504	10.424	5.000
+C	11.235	0.600	5.000
+C	14.071	0.600	5.000
+C	13.362	1.828	5.000
+C	16.198	1.828	5.000
+C	15.489	3.056	5.000
+C	18.325	3.056	5.000
+C	17.616	4.284	5.000
+C	20.452	4.284	5.000
+C	19.743	5.512	5.000
+C	22.579	5.512	5.000
+C	21.870	6.740	5.000
+C	24.706	6.740	5.000
+C	23.997	7.968	5.000
+C	26.833	7.968	5.000
+C	26.124	9.196	5.000
+C	28.959	9.196	5.000
+C	28.250	10.424	5.000
+C	31.086	10.424	5.000
+C	30.377	11.652	5.000
+C	33.213	11.652	5.000
+C	32.504	12.880	5.000
+C	6.981	0.600	5.000
+C	9.817	0.600	5.000
+C	9.108	1.828	5.000
+C	11.944	1.828	5.000
+C	11.235	3.056	5.000
+C	14.071	3.056	5.000
+C	13.362	4.284	5.000
+C	16.198	4.284	5.000
+C	15.489	5.512	5.000
+C	18.325	5.512	5.000
+C	17.616	6.740	5.000
+C	20.452	6.740	5.000
+C	19.743	7.968	5.000
+C	22.579	7.968	5.000
+C	21.870	9.196	5.000
+C	24.706	9.196	5.000
+C	23.997	10.424	5.000
+C	26.833	10.424	5.000
+C	26.124	11.652	5.000
+C	28.959	11.652	5.000
+C	28.250	12.880	5.000
+C	31.086	12.880	5.000
+C	30.377	14.108	5.000
+C	33.213	14.108	5.000
+C	32.504	15.336	5.000
+C	2.727	0.600	5.000
+C	5.563	0.600	5.000
+C	4.854	1.828	5.000
+C	7.690	1.828	5.000
+C	6.981	3.056	5.000
+C	9.817	3.056	5.000
+C	9.108	4.284	5.000
+C	11.944	4.284	5.000
+C	11.235	5.512	5.000
+C	14.071	5.512	5.000
+C	13.362	6.740	5.000
+C	16.198	6.740	5.000
+C	15.489	7.968	5.000
+C	18.325	7.968	5.000
+C	17.616	9.196	5.000
+C	20.452	9.196	5.000
+C	19.743	10.424	5.000
+C	22.579	10.424	5.000
+C	21.870	11.652	5.000
+C	24.706	11.652	5.000
+C	23.997	12.880	5.000
+C	26.833	12.880	5.000
+C	26.124	14.108	5.000
+C	28.959	14.108	5.000
+C	28.250	15.336	5.000
+C	31.086	15.336	5.000
+C	30.377	16.564	5.000
+C	33.213	16.564	5.000
+C	32.504	17.792	5.000
+C	1.309	0.600	5.000
+C	0.600	1.828	5.000
+C	3.436	1.828	5.000
+C	2.727	3.056	5.000
+C	5.563	3.056	5.000
+C	4.854	4.284	5.000
+C	7.690	4.284	5.000
+C	6.981	5.512	5.000
+C	9.817	5.512	5.000
+C	9.108	6.740	5.000
+C	11.944	6.740	5.000
+C	11.235	7.968	5.000
+C	14.071	7.968	5.000
+C	13.362	9.196	5.000
+C	16.198	9.196	5.000
+C	15.489	10.424	5.000
+C	18.325	10.424	5.000
+C	17.616	11.652	5.000
+C	20.452	11.652	5.000
+C	19.743	12.880	5.000
+C	22.579	12.880	5.000
+C	21.870	14.108	5.000
+C	24.706	14.108	5.000
+C	23.997	15.336	5.000
+C	26.833	15.336	5.000
+C	26.124	16.564	5.000
+C	28.959	16.564	5.000
+C	28.250	17.792	5.000
+C	31.086	17.792	5.000
+C	30.377	19.020	5.000
+C	33.213	19.020	5.000
+C	32.504	20.248	5.000
+C	1.309	3.056	5.000
+C	0.600	4.284	5.000
+C	3.436	4.284	5.000
+C	2.727	5.512	5.000
+C	5.563	5.512	5.000
+C	4.854	6.740	5.000
+C	7.690	6.740	5.000
+C	6.981	7.968	5.000
+C	9.817	7.968	5.000
+C	9.108	9.196	5.000
+C	11.944	9.196	5.000
+C	11.235	10.424	5.000
+C	14.071	10.424	5.000
+C	13.362	11.652	5.000
+C	16.198	11.652	5.000
+C	15.489	12.880	5.000
+C	18.325	12.880	5.000
+C	17.616	14.108	5.000
+C	20.452	14.108	5.000
+C	19.743	15.336	5.000
+C	22.579	15.336	5.000
+C	21.870	16.564	5.000
+C	24.706	16.564	5.000
+C	23.997	17.792	5.000
+C	26.833	17.792	5.000
+C	26.124	19.020	5.000
+C	28.959	19.020	5.000
+C	28.250	20.248	5.000
+C	31.086	20.248	5.000
+C	30.377	21.476	5.000
+C	33.213	21.476	5.000
+C	32.504	22.704	5.000
+C	1.309	5.512	5.000
+C	0.600	6.740	5.000
+C	3.436	6.740	5.000
+C	2.727	7.968	5.000
+C	5.563	7.968	5.000
+C	4.854	9.196	5.000
+C	7.690	9.196	5.000
+C	6.981	10.424	5.000
+C	9.817	10.424	5.000
+C	9.108	11.652	5.000
+C	11.944	11.652	5.000
+C	11.235	12.880	5.000
+C	14.071	12.880	5.000
+C	13.362	14.108	5.000
+C	16.198	14.108	5.000
+C	15.489	15.336	5.000
+C	18.325	15.336	5.000
+C	17.616	16.564	5.000
+C	20.452	16.564	5.000
+C	19.743	17.792	5.000
+C	22.579	17.792	5.000
+C	21.870	19.020	5.000
+C	24.706	19.020	5.000
+C	23.997	20.248	5.000
+C	26.833	20.248	5.000
+C	26.124	21.476	5.000
+C	28.959	21.476	5.000
+C	28.250	22.704	5.000
+C	31.086	22.704	5.000
+C	30.377	23.932	5.000
+C	33.213	23.932	5.000
+C	32.504	25.160	5.000
+C	1.309	7.968	5.000
+C	0.600	9.196	5.000
+C	3.436	9.196	5.000
+C	2.727	10.424	5.000
+C	5.563	10.424	5.000
+C	4.854	11.652	5.000
+C	7.690	11.652	5.000
+C	6.981	12.880	5.000
+C	9.817	12.880	5.000
+C	9.108	14.108	5.000
+C	11.944	14.108	5.000
+C	11.235	15.336	5.000
+C	14.071	15.336	5.000
+C	13.362	16.564	5.000
+C	16.198	16.564	5.000
+C	15.489	17.792	5.000
+C	18.325	17.792	5.000
+C	17.616	19.020	5.000
+C	20.452	19.020	5.000
+C	19.743	20.248	5.000
+C	22.579	20.248	5.000
+C	21.870	21.476	5.000
+C	24.706	21.476	5.000
+C	23.997	22.704	5.000
+C	26.833	22.704	5.000
+C	26.124	23.932	5.000
+C	28.959	23.932	5.000
+C	28.250	25.160	5.000
+C	31.086	25.160	5.000
+C	30.377	26.388	5.000
+C	33.213	26.388	5.000
+C	32.504	27.616	5.000
+C	1.309	10.424	5.000
+C	0.600	11.652	5.000
+C	3.436	11.652	5.000
+C	2.727	12.880	5.000
+C	5.563	12.880	5.000
+C	4.854	14.108	5.000
+C	7.690	14.108	5.000
+C	6.981	15.336	5.000
+C	9.817	15.336	5.000
+C	9.108	16.564	5.000
+C	11.944	16.564	5.000
+C	11.235	17.792	5.000
+C	14.071	17.792	5.000
+C	13.362	19.020	5.000
+C	16.198	19.020	5.000
+C	15.489	20.248	5.000
+C	18.325	20.248	5.000
+C	17.616	21.476	5.000
+C	20.452	21.476	5.000
+C	19.743	22.704	5.000
+C	22.579	22.704	5.000
+C	21.870	23.932	5.000
+C	24.706	23.932	5.000
+C	23.997	25.160	5.000
+C	26.833	25.160	5.000
+C	26.124	26.388	5.000
+C	28.959	26.388	5.000
+C	28.250	27.616	5.000
+C	31.086	27.616	5.000
+C	30.377	28.844	5.000
+C	33.213	28.844	5.000
+C	1.309	12.880	5.000
+C	0.600	14.108	5.000
+C	3.436	14.108	5.000
+C	2.727	15.336	5.000
+C	5.563	15.336	5.000
+C	4.854	16.564	5.000
+C	7.690	16.564	5.000
+C	6.981	17.792	5.000
+C	9.817	17.792	5.000
+C	9.108	19.020	5.000
+C	11.944	19.020	5.000
+C	11.235	20.248	5.000
+C	14.071	20.248	5.000
+C	13.362	21.476	5.000
+C	16.198	21.476	5.000
+C	15.489	22.704	5.000
+C	18.325	22.704	5.000
+C	17.616	23.932	5.000
+C	20.452	23.932	5.000
+C	19.743	25.160	5.000
+C	22.579	25.160	5.000
+C	21.870	26.388	5.000
+C	24.706	26.388	5.000
+C	23.997	27.616	5.000
+C	26.833	27.616	5.000
+C	26.124	28.844	5.000
+C	28.959	28.844	5.000
+C	1.309	15.336	5.000
+C	0.600	16.564	5.000
+C	3.436	16.564	5.000
+C	2.727	17.792	5.000
+C	5.563	17.792	5.000
+C	4.854	19.020	5.000
+C	7.690	19.020	5.000
+C	6.981	20.248	5.000
+C	9.817	20.248	5.000
+C	9.108	21.476	5.000
+C	11.944	21.476	5.000
+C	11.235	22.704	5.000
+C	14.071	22.704	5.000
+C	13.362	23.932	5.000
+C	16.198	23.932	5.000
+C	15.489	25.160	5.000
+C	18.325	25.160	5.000
+C	17.616	26.388	5.000
+C	20.452	26.388	5.000
+C	19.743	27.616	5.000
+C	22.579	27.616	5.000
+C	21.870	28.844	5.000
+C	24.706	28.844	5.000
+C	1.309	17.792	5.000
+C	0.600	19.020	5.000
+C	3.436	19.020	5.000
+C	2.727	20.248	5.000
+C	5.563	20.248	5.000
+C	4.854	21.476	5.000
+C	7.690	21.476	5.000
+C	6.981	22.704	5.000
+C	9.817	22.704	5.000
+C	9.108	23.932	5.000
+C	11.944	23.932	5.000
+C	11.235	25.160	5.000
+C	14.071	25.160	5.000
+C	13.362	26.388	5.000
+C	16.198	26.388	5.000
+C	15.489	27.616	5.000
+C	18.325	27.616	5.000
+C	17.616	28.844	5.000
+C	20.452	28.844	5.000
+C	1.309	20.248	5.000
+C	0.600	21.476	5.000
+C	3.436	21.476	5.000
+C	2.727	22.704	5.000
+C	5.563	22.704	5.000
+C	4.854	23.932	5.000
+C	7.690	23.932	5.000
+C	6.981	25.160	5.000
+C	9.817	25.160	5.000
+C	9.108	26.388	5.000
+C	11.944	26.388	5.000
+C	11.235	27.616	5.000
+C	14.071	27.616	5.000
+C	13.362	28.844	5.000
+C	16.198	28.844	5.000
+C	1.309	22.704	5.000
+C	0.600	23.932	5.000
+C	3.436	23.932	5.000
+C	2.727	25.160	5.000
+C	5.563	25.160	5.000
+C	4.854	26.388	5.000
+C	7.690	26.388	5.000
+C	6.981	27.616	5.000
+C	9.817	27.616	5.000
+C	9.108	28.844	5.000
+C	11.944	28.844	5.000
+C	1.309	25.160	5.000
+C	0.600	26.388	5.000
+C	3.436	26.388	5.000
+C	2.727	27.616	5.000
+C	5.563	27.616	5.000
+C	4.854	28.844	5.000
+C	7.690	28.844	5.000
+C	1.309	27.616	5.000
+C	0.600	28.844	5.000
+C	3.436	28.844	5.000
Index: tests/regression/Fragmentation/StoreSaturatedFragment/testsuite-fragmentation-store-saturated-fragment.at
===================================================================
--- tests/regression/Fragmentation/StoreSaturatedFragment/testsuite-fragmentation-store-saturated-fragment.at	(revision 5589e7e18abfdfbb10e92c1f7c654f21e9d14cbd)
+++ tests/regression/Fragmentation/StoreSaturatedFragment/testsuite-fragmentation-store-saturated-fragment.at	(revision 5589e7e18abfdfbb10e92c1f7c654f21e9d14cbd)
@@ -0,0 +1,30 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2013 University of Bonn
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### store a saturated fragment of a molecule
+
+AT_SETUP([Fragmentation - Store saturated fragment])
+AT_KEYWORDS([fragmentation store-saturated-fragment])
+AT_XFAIL_IF([/bin/false])
+
+file=BondFragment0.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Fragmentation/StoreSaturatedFragment/pre/C6-0.Sheet.Aligned.xyz C6-0.Sheet.Aligned.xyz], 0)
+length="10.5"
+AT_CHECK([../../molecuilder -i C6-0.Sheet.Aligned.xyz --add-empty-boundary .6,.6,5 --select-all-atoms --create-adjacency --create-shape --shape-type cube --stretch $length,$length,2 --translation 10,10,4 --shape-name testfragment --select-shape-by-name testfragment --clear-atom-selection --select-atoms-inside-volume --store-saturated-fragment BondFragment --DoSaturate 1 --output-types xyz], 0, [ignore], [ignore])
+#AT_CHECK([diff -I '.*reated by.*' $file ${abs_top_srcdir}/tests/regression/Fragmentation/StoreSaturatedFragment/post/$file], 0, [ignore], [ignore])
+
+AT_CLEANUP
Index: tests/regression/Fragmentation/testsuite-fragmentation.at
===================================================================
--- tests/regression/Fragmentation/testsuite-fragmentation.at	(revision 0d97b4b7169d73c32a31da6e1baa10b740848f7e)
+++ tests/regression/Fragmentation/testsuite-fragmentation.at	(revision 5589e7e18abfdfbb10e92c1f7c654f21e9d14cbd)
@@ -23,2 +23,5 @@
 # check whether parsing of BondFragment files and re-rwriting config files is working (exit code is 2 as we don't need to continue wrt to ...OrderAtSite)
 m4_include([Fragmentation/FragmentMolecule-MaxOrder/testsuite-fragmentation-fragment-molecule-maxorder.at])
+
+# check storing saturated fragment
+m4_include([Fragmentation/StoreSaturatedFragment/testsuite-fragmentation-store-saturated-fragment.at])