Index: doc/userguide/css/html.css
===================================================================
--- doc/userguide/css/html.css	(revision 6029a669c919139fdd1b0addd74222bb7f5b554d)
+++ doc/userguide/css/html.css	(revision 6029a669c919139fdd1b0addd74222bb7f5b554d)
@@ -0,0 +1,325 @@
+body {
+    font-family: sans-serif;
+    font-size: 10pt;
+    color: black;
+    background-color: white;
+}
+
+h1,
+h2,
+h3,
+h4,
+h5,
+h6 {
+    color: #394986;
+    font-height: bold;
+    margin-top: 1.33ex;
+    margin-bottom: 1.33ex;
+}
+
+h1 {
+    font-size: 1.8em;
+}
+
+h2 {
+    font-size: 1.6em;
+}
+
+h3 {
+    font-size: 1.4em;
+}
+
+h4 {
+    font-size: 1.2em;
+}
+
+h5,
+h6 {
+    font-size: 1em;
+}
+
+table {
+    border-spacing: 0;
+    font-size: 1em;
+}
+
+thead,
+tfoot {
+    background-color: #EEEEEE;
+}
+
+th,
+td {
+    padding: 0 0.5ex;
+}
+
+blockquote {
+    margin-top: 1.33ex 4ex;
+}
+
+p,
+th,
+td,
+li,
+dt,
+dd {
+    font-size: 1em;
+}
+
+p,
+pre,
+ol,
+dl,
+ul,
+table {
+    margin-top: 1.33ex;
+    margin-bottom: 1.33ex;
+}
+
+code,
+kbd,
+tt,
+pre {
+    font-family: monospace;
+    font-size: 90%;
+}
+
+pre {
+    white-space: pre;
+    background-color: #EEEEEE;
+    border: 1px solid #C0C0C0;
+    padding: 1ex;
+}
+
+li {
+    margin-top: 1.33ex;
+    margin-bottom: 1.33ex;
+}
+
+*[compact] > li {
+    margin-top: 0;
+    margin-bottom: 0;
+}
+
+dt {
+    margin-top: 1.33ex;
+    margin-bottom: 0;
+}
+
+dd {
+    margin-top: 0;
+    margin-bottom: 1.33ex;
+}
+
+*[compact] > dt {
+    margin-top: 0;
+}
+
+*[compact] > dd {
+    margin-bottom: 0;
+}
+
+div.toc,
+div.index,
+div.list-of-figures,
+div.list-of-tables,
+div.list-of-examples,
+div.list-of-equations,
+div.list-of-procedures {
+    margin-top: 1.33ex;
+    margin-bottom: 1.33ex;
+}
+
+div.toc dl,
+div.index dl,
+div.list-of-figures dl,
+div.list-of-tables dl,
+div.list-of-examples dl,
+div.list-of-equations dl,
+div.list-of-procedures dl {
+    margin-top: 0;
+    margin-bottom: 0;
+}
+
+div.toc dt,
+div.index dt,
+div.list-of-figures dt,
+div.list-of-tables dt,
+div.list-of-examples dt,
+div.list-of-equations dt,
+div.list-of-procedures dt {
+    margin-top: 0.25ex;
+    margin-bottom: 0.25ex;
+}
+
+div.toc dd,
+div.index dd,
+div.list-of-figures dd,
+div.list-of-tables dd,
+div.list-of-examples dd,
+div.list-of-equations dd,
+div.list-of-procedures dd {
+    margin-top: 0;
+    margin-bottom: 0;
+}
+
+div.toc span.part,
+div.toc span.chapter,
+div.toc span.appendix {
+    font-weight: bold;
+}
+
+div.attribution {
+    text-align: right;
+}
+
+div.sidebar {
+    background-color: #EEEEFF;
+    border: 1px solid #C0C0DD;
+    padding: 1ex;
+    margin-top: 1.33ex;
+    margin-bottom: 1.33ex;
+}
+
+div.sidebar > p.title {
+    margin-top: 0.33ex;
+}
+
+div.example > p.title,
+div.figure > p.title,
+div.table > p.title,
+div.procedure > p.title,
+div.equation > p.title {
+    color: #394986;
+    font-weight: bold;
+}
+
+div.orderedlist,
+div.calloutlist {
+    margin-top: 1.33ex;
+    margin-bottom: 1.33ex;
+}
+
+div.orderedlist > table,
+div.calloutlist > table {
+    margin: 0;
+}
+
+div.orderedlist > table td,
+div.calloutlist > table td {
+    vertical-align: baseline;
+}
+
+div.footnote {
+    font-size: 0.9em;
+}
+
+a:link:hover,
+a:visited:hover {
+    text-decoration: underline;
+}
+
+a:link {
+    text-decoration: none;
+    color: #004668;
+}
+
+a:visited {
+    text-decoration: none;
+    color: #135678;
+}
+
+span.term {
+    font-weight: bold;
+}
+
+abbr,
+acronym {
+    font-weight: bold;
+}
+
+span.keycap,
+span.keycode,
+span.keysym,
+span.mousebutton {
+    font-family: monospace;
+    font-size: 90%;
+    background-color: #EEEEEE;
+    padding: 0.2ex;
+}
+
+span.guimenu,
+span.guisubmenu,
+span.guimenuitem,
+span.guibutton,
+span.guiicon,
+span.interface,
+span.guilabel {
+    font-weight: bold;
+}
+
+a img {
+    border-style: none;
+}
+
+hr.footnote-hr {
+    width: 100px;
+    margin-left: 0;
+    text-align: left;
+}
+
+/* ------------------------------------------------------------------------
+ | Syntax highlighting
+ +------------------------------------------------------------------------- */
+
+.hl-keyword {
+    font-weight: bold;
+    color: #602060;
+}
+
+.hl-string {
+    color: #A00000;
+}
+
+.hl-number {
+    color: #B08000;
+}
+
+.hl-comment {
+    font-style: italic;
+    color: #808080;
+}
+
+.hl-doccomment {
+    color: #008080;
+}
+
+.hl-directive {
+    color: #00A000;
+}
+
+.hl-annotation {
+    font-weight: bold;
+    color: #808080;
+}
+
+/*
+ * XML
+ */
+
+.hl-tag {
+    font-weight: bold;
+    color: #602060;
+}
+
+.hl-attribute {
+    color: #0050A0;
+}
+
+.hl-value {
+    color: #A00000;
+}
+
+.hl-doctype {
+    color: #008080;
+}