Index: src/Exceptions/NotOnSurfaceException.cpp
===================================================================
--- src/Exceptions/NotOnSurfaceException.cpp	(revision 06300d00d22af71ed91871edbb1f04beff7b122c)
+++ src/Exceptions/NotOnSurfaceException.cpp	(revision 06300d00d22af71ed91871edbb1f04beff7b122c)
@@ -0,0 +1,21 @@
+/*
+ * NotOnSurfaceException.cpp
+ *
+ *  Created on: Jul 14, 2010
+ *      Author: crueger
+ */
+
+#include "NotOnSurfaceException.hpp"
+
+using namespace std;
+
+NotOnSurfaceException::NotOnSurfaceException(string _file, int _line) :
+  ShapeException(_file,_line)
+{}
+
+NotOnSurfaceException::~NotOnSurfaceException() throw ()
+{}
+
+const char* NotOnSurfaceException::what() const throw(){
+  return "Given point did not lie on surface of Shape";
+}
Index: src/Exceptions/NotOnSurfaceException.hpp
===================================================================
--- src/Exceptions/NotOnSurfaceException.hpp	(revision 06300d00d22af71ed91871edbb1f04beff7b122c)
+++ src/Exceptions/NotOnSurfaceException.hpp	(revision 06300d00d22af71ed91871edbb1f04beff7b122c)
@@ -0,0 +1,22 @@
+/*
+ * NotOnSurfaceException.hpp
+ *
+ *  Created on: Jul 14, 2010
+ *      Author: crueger
+ */
+
+#ifndef NOTONSURFACEEXCEPTION_HPP_
+#define NOTONSURFACEEXCEPTION_HPP_
+
+#include "Exceptions/ShapeException.hpp"
+
+class NotOnSurfaceException : public ShapeException
+{
+public:
+  NotOnSurfaceException(std::string _file, int _line);
+  virtual ~NotOnSurfaceException() throw();
+
+  virtual const char* what() const throw();
+};
+
+#endif /* NOTONSURFACEEXCEPTION_HPP_ */
Index: src/Exceptions/ShapeException.cpp
===================================================================
--- src/Exceptions/ShapeException.cpp	(revision 06300d00d22af71ed91871edbb1f04beff7b122c)
+++ src/Exceptions/ShapeException.cpp	(revision 06300d00d22af71ed91871edbb1f04beff7b122c)
@@ -0,0 +1,15 @@
+/*
+ * ShapeException.cpp
+ *
+ *  Created on: Jul 14, 2010
+ *      Author: crueger
+ */
+
+#include "ShapeException.hpp"
+
+ShapeException::ShapeException(std::string file, int line) :
+  CustomException(file,line)
+{}
+
+ShapeException::~ShapeException() throw ()
+{}
Index: src/Exceptions/ShapeException.hpp
===================================================================
--- src/Exceptions/ShapeException.hpp	(revision 06300d00d22af71ed91871edbb1f04beff7b122c)
+++ src/Exceptions/ShapeException.hpp	(revision 06300d00d22af71ed91871edbb1f04beff7b122c)
@@ -0,0 +1,20 @@
+/*
+ * ShapeException.hpp
+ *
+ *  Created on: Jul 14, 2010
+ *      Author: crueger
+ */
+
+#ifndef SHAPEEXCEPTION_HPP_
+#define SHAPEEXCEPTION_HPP_
+
+#include "Exceptions/CustomException.hpp"
+
+class ShapeException : public CustomException
+{
+public:
+  ShapeException(std::string file, int line);
+  virtual ~ShapeException() throw();
+};
+
+#endif /* SHAPEEXCEPTION_HPP_ */
Index: src/Makefile.am
===================================================================
--- src/Makefile.am	(revision 41ea3cd028fbf7ccea2699a1196524dd812f9536)
+++ src/Makefile.am	(revision 06300d00d22af71ed91871edbb1f04beff7b122c)
@@ -77,17 +77,23 @@
   Actions/Process.hpp
 
-EXCEPTIONSOURCE = Exceptions/CustomException.cpp \
-				  Exceptions/LinearDependenceException.cpp \
-				  Exceptions/MathException.cpp \
-				  Exceptions/NotInvertibleException.cpp \
-				  Exceptions/SkewException.cpp \
-				  Exceptions/ZeroVectorException.cpp
+EXCEPTIONSOURCE = \
+  Exceptions/CustomException.cpp \
+  Exceptions/LinearDependenceException.cpp \
+  Exceptions/MathException.cpp \
+  Exceptions/NotInvertibleException.cpp \
+  Exceptions/NotOnSurfaceException.cpp \
+  Exceptions/ShapeException.cpp \
+  Exceptions/SkewException.cpp \
+  Exceptions/ZeroVectorException.cpp
 				  
-EXCEPTIONHEADER = Exceptions/CustomException.hpp \
-				  Exceptions/LinearDependenceException.hpp \
-				  Exceptions/MathException.hpp \
-				  Exceptions/NotInvertibleException.hpp \
-				  Exceptions/SkewException.hpp \
-				  Exceptions/ZeroVectorException.hpp
+EXCEPTIONHEADER = \
+  Exceptions/CustomException.hpp \
+  Exceptions/LinearDependenceException.hpp \
+  Exceptions/MathException.hpp \
+  Exceptions/NotInvertibleException.hpp \
+  Exceptions/NotOnSurfaceException.hpp \
+  Exceptions/ShapeException.hpp \
+  Exceptions/SkewException.hpp \
+  Exceptions/ZeroVectorException.hpp
 
 PARSERSOURCE = \